Moderate

CVE-2011-3426 - Cross-Site Scripting (XSS) vulnerability in Apple Iphone OS

Publication: 2011-10-14
Summary

Cross-site scripting (XSS) vulnerability in Safari in Apple iOS before 5 allows remote web servers to inject arbitrary web script or HTML via a file accompanied by a "Content-Disposition: attachment" HTTP header.

Classification
CWE-79: Cross-Site Scripting (XSS)

Risk level (CVSS 4.3)

Moderate

4.3

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Apple Iphone OS 3.0
  • Apple Iphone OS 3.1
  • Apple Iphone OS 3.1
  • Apple Iphone OS 3.1
  • Apple Iphone OS 3.1.2
  • Apple Iphone OS 3.1.3
  • Apple Iphone OS 3.2
  • Apple Iphone OS 3.2
  • Apple Iphone OS 3.2.1
  • Apple Iphone OS 3.2.1
  • Apple Iphone OS 3.2.2
  • Apple Iphone OS 4.0
  • Apple Iphone OS 4.0
  • Apple Iphone OS 4.0
  • Apple Iphone OS 4.0.1
  • Apple Iphone OS 4.0.1
  • Apple Iphone OS 4.0.1
  • Apple Iphone OS 4.0.2
  • Apple Iphone OS 4.1
  • Apple Iphone OS 4.2.1
  • Apple Iphone OS 4.2.5
  • Apple Iphone OS 4.2.8
  • Apple Iphone OS 4.3.0
  • Apple Iphone OS 4.3.1
  • Apple Iphone OS 4.3.2
  • Apple Iphone OS 4.3.3
  • Apple Iphone OS 4.3.5
  • Apple Iphone OS 4.3.5
  • Apple Iphone OS 4.3.5